# Ollama + OpenWebUI

Dieses Projekt zeigt, wie man OpenWebUI mit Ollama lokal nutzen kann, um das Modell `gemma:4b` auszuführen.

## Verwendung

1. Projekt klonen und in den Ordner wechseln:
```bash
git clone https://gitlab.bbbaden.ch/L.Gasser.inf23/ollama-openwebui.git
cd ollama-openwebui
```

2. Container starten:
```bash
docker compose up -d
```

3. Modell laden:
```bash
docker exec -it ollama ollama pull gemma:4b
```

4. OpenWebUI im Browser öffnen:
[http://localhost:8080](http://localhost:8080)

Dort kann das Modell ausgewählt und verwendet werden.

## Hinweis

- Modell `gemma:4b` benötigt mind. 6–8 GB RAM.
